package org.jeecg.module.custom.ocr.utils;

import com.alanpoi.common.util.ID;
import org.jeecg.module.custom.ocr.utils.snow.SequenceId;

/**
 * @author zhangyong
 * @title: SnowFlakeUtil
 * @projectName jyjz-parent
 * @description: 使用 alanpoi 生成雪花id
 * @date 2021/11/13 10:06 AM
 */
public class SnowFlakeUtil {

    public static long nextId() {
        ID id = ID.getId();

        if(null == id){
            return SequenceId.generate();
        }
        return id.next();
    }
}
